Bug 157405 - yum errors are not specific
yum errors are not specific
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2005-05-11 06:03 EDT by Thilo Pfennig
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 14:07:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2005-05-11 06:03:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
I had an error in my configuration. yum displayed:
Options Error: Not a boolean: 9

I need to ask on IRC to find the error. It was just a line "enabled=9" in one repository in /etc/yum.repos.de

I can imagine many people that are as stupid as i am ;) will have the same problem. But help would be possible! 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. change a line enabled=1 to enabled=9
2. make something like yum check-update

Actual Results:  yum does not respond but prints 
"Options Error: Not a boolean: 9"
and the help

Expected Results:  print something like:
"error in repository /etc/yum.repos.d/dag.repo line 4:
enabled=9 Options Error: Not a boolean: 9"

Additional info:
Comment 1 Jeremy Katz 2005-09-21 14:07:34 EDT
Current yum gives a better error here

Note You need to log in before you can comment on or make changes to this bug.